CleanupMessage.CleanupMessageSerializer (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.repair.messages

## Class CleanupMessage.CleanupMessageSerializer

- java.lang.Object
- - org.apache.cassandra.repair.messages.CleanupMessage.CleanupMessageSerializer

- All Implemented Interfaces:
    IVersionedSerializer<CleanupMessage>, RepairMessage.MessageSerializer<CleanupMessage>
  Enclosing class:
    CleanupMessage

      public static class CleanupMessage.CleanupMessageSerializer
      extends java.lang.Object
      implements RepairMessage.MessageSerializer<CleanupMessage>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CleanupMessageSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CleanupMessage` | `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
    `void` | `serialize(CleanupMessage message, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
    `long` | `serializedSize(CleanupMessage message, int version)` Calculate serialized size of object without actually serializing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CleanupMessageSerializer

          public CleanupMessageSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(CleanupMessage message,
                                DataOutputPlus out,
                                int version)
                         throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Serialize the specified type into the specified DataOutputStream instance.
      Specified by:
        `serialize` in interface `IVersionedSerializer<CleanupMessage>`
      Parameters:
        `message` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
        `version` - protocol version
      Throws:
        `java.io.IOException` - if serialization fails

    - #### deserialize

          public CleanupMessage deserialize(java.io.DataInput in,
                                            int version)
                                     throws java.io.IOException

      Description copied from interface: `IVersionedSerializer`
      Deserialize into the specified DataInputStream instance.
      Specified by:
        `deserialize` in interface `IVersionedSerializer<CleanupMessage>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
        `version` - protocol version
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException` - if deserialization fails

    - #### serializedSize

          public long serializedSize(CleanupMessage message,
                                     int version)

      Description copied from interface: `IVersionedSerializer`
      Calculate serialized size of object without actually serializing.
      Specified by:
        `serializedSize` in interface `IVersionedSerializer<CleanupMessage>`
      Parameters:
        `message` - object to calculate serialized size
        `version` - protocol version
      Returns:
        serialized size of object t

Copyright © 2018 The Apache Software Foundation